Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.entity
Class LabelEntity

    java.lang.Object
      net.sf.borg.model.entity.LabelEntity

All Implemented Interfaces:
  CalendarEntity

    public class LabelEntity

extends Object
implements CalendarEntity

This class is a non-persisted entity that is used when the model needs to package a transient, calculated entity for the UI, such as a calculated holiday or birthday based on the address book.

Constructor Summary
`LabelEntity()`

Method Summary
`String` | `getColor()` Gets the color.
`Date` | `getDate()` Gets the date.
`Integer` | `getDuration()` Gets the duration.
`Date` | `getNextTodo()` Gets the next todo date.
`String` | `getText()` Gets the text.
`boolean` | `getTodo()` Gets the todo flag.
`void` | `setColor(String color)` Sets the color.
`void` | `setDate(Date date)` Sets the date.
`void` | `setText(String text)` Sets the text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelEntity

    public LabelEntity()

Method Detail

### getColor

    public String getColor()

  Description copied from interface: `CalendarEntity`
  Gets the color.

  Specified by:
    `getColor` in interface `CalendarEntity`
  Returns:
    the color

### setColor

    public void setColor(String color)

  Sets the color.

  Parameters:
    `color` - the new color

### getDate

    public Date getDate()

  Description copied from interface: `CalendarEntity`
  Gets the date.

  Specified by:
    `getDate` in interface `CalendarEntity`
  Returns:
    the date

### setDate

    public void setDate(Date date)

  Sets the date.

  Parameters:
    `date` - the new date

### getText

    public String getText()

  Description copied from interface: `CalendarEntity`
  Gets the text.

  Specified by:
    `getText` in interface `CalendarEntity`
  Returns:
    the text

### setText

    public void setText(String text)

  Sets the text.

  Parameters:
    `text` - the new text

### getDuration

    public Integer getDuration()

  Description copied from interface: `CalendarEntity`
  Gets the duration.

  Specified by:
    `getDuration` in interface `CalendarEntity`
  Returns:
    the duration

### getNextTodo

    public Date getNextTodo()

  Description copied from interface: `CalendarEntity`
  Gets the next todo date.

  Specified by:
    `getNextTodo` in interface `CalendarEntity`
  Returns:
    the next todo date

### getTodo

    public boolean getTodo()

  Description copied from interface: `CalendarEntity`
  Gets the todo flag.

  Specified by:
    `getTodo` in interface `CalendarEntity`
  Returns:
    the todo flag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic